Update Metadata Entry
Update the value of a single key-value metadata entry.
Update the value of a single key-value metadata entry.
Request
URI
PUT
https://{api_host}/cloudapi/v1/regions/{id}/metadata/{metadataId}
COPY
Path Parameters
string
id
Required
the URN of the entity the entry is attached to.
string
metadataId
Required
a metadata vcloud id urn
Request Body
MetadataEntry
of type(s)
application/json
Optional
Show optional properties
{
"keyValue": {
"domain": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
{
"id": "string",
"persistent": false,
"readOnly": false,
"keyValue": {
"domain": "string",
"namespace": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
Responses
200
OK
Returns
MetadataEntry
of type(s)
application/json;version=9.1.0
{
"id": "string",
"persistent": false,
"readOnly": false,
"keyValue": {
"domain": "string",
"namespace": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"keyValue":"{}"}' https://{api_host}/cloudapi/v1/regions/{id}/metadata/{metadataId}
Availability
Added in 9.1.0
On This Page
Virtual Datacenter Operations
GET
Get Virtual Datacenters
POST
Create Virtual Datacenter
GET
Get Virtual Datacenter
PUT
Update Virtual Datacenter
DELETE
Delete Virtual Datacenter
GET
Query Vm Classes
POST
Add Vm Classes To VDC
PUT
Replace Vm Classes In VDC
GET
Query Reserved Vm Classes
PUT
Update Reserved Vm Classes
GET
Get Namespaces For Vdc
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry
PUT
Update Virtual Datacenter Storage Policies
GET
Query Vdc Infra Policies
PUT
Update Vdc Infra Policies